@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600;700&display=swap');
html, body {
    height: 100%;
    margin: 0;
	padding: 0;
    font-family: 'Inter', sans-serif;
    -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}
.prime-text-1 { color: #4317D1; }
.prime-text-2 { color: #1A0950; }
.prime-text-3 { color: #FFFFFF; }
.secondary-text-1 { color: #C1C8EF; }
.secondary-text-2 { color: #F4F2FD; }
.secondary-text-3 { color: #EAEAEA; }
.secondary-text-4 { color: #8F8F8F; }
.secondary-text-5 { color: #393939; }
.prime-1 { background: #4317D1; }
.prime-2 { background: #1A0950; }
.prime-3 { background: #FFFFFF; }
.secondary-1 { background: #C1C8EF; }
.secondary-2 { background: #F4F2FD; }
.secondary-3 { background: #EAEAEA; }
.secondary-4 { background: #8F8F8F; }
.secondary-5 { background: #393939; }
img {
	border: none;
}
a {
	outline: none;
	color: #393939;
	text-decoration: none;
}
a:hover {
	color: #4317D1;
}
.logout-link-in-text {
    font-weight: 600;
    color: #4317d1;
}
.logout-link-in-text:hover {
    color: #393939;
}
h2 {
    margin: 0;
    font-size: 40px;
    font-weight: 700;
    color: #4317D1;
    line-height: 1;
}
h3 {
    margin: 0;
    font-size: 24px;
    font-weight: 700;
    color: #4317D1;
    line-height: 1;
    margin-top: 2px;
    margin-bottom: 6px;
}
h4 {
    margin: 6px 0;
}
hr {
	margin: 60px 0;
}

.bold {
    font-weight: 600;
}
.fet {
	font-weight: 700;
}
.clearIt {
	clear: both;
}
.clearRight {
	clear: right;
}
.hidden {
	display: none;
}
.ns, #teacherForm p {
	-webkit-user-select: none;
	   -moz-user-select: none;
			user-select: none;
}
.no-data {
    clear: both;
    padding-top: 20px;
}
.height40 {
	height: 40px;
}
.textLeft {
	text-align: left;
}
.floatLeft {
	float: left;
}
.floatRight {
	float: right;
}
.blur {
	-webkit-filter: blur(3px);
    -moz-filter: blur(3px);
    -ms-filter: blur(3px);
    -o-filter: blur(3px);    
    filter: url("data:image/svg+xml;utf8,<svg height='0' xmlns='http://www.w3.org/2000/svg'><filter id='svgBlur' x='-5%' y='-5%' width='110%' height='110%'><feGaussianBlur in='SourceGraphic' stdDeviation='5'/></filter></svg>#svgBlur");
    filter: progid: DXImageTransform.Microsoft.Blur(PixelRadius = '3');
    filter: blur(3px);
}


#layout{
    box-sizing: border-box;
    position: relative;
    min-height: 100%;
    padding-bottom: 20px;
}

header{
    width: 100%;
    margin-bottom: 60px;
    border-bottom: 1px solid #d8d8d8;
    background: #FFF;
}
    nav {
        display: flex;
        max-width: 1024px;
        padding: 20px 10px;
        margin: auto;
    }
        .nav-item {
            margin-right: 40px;
            white-space: nowrap;
            font-weight: 600;
            font-size: 16px;
        }
        .nav-item:last-child {
            margin-left: auto;
            margin-right: 0;
        }
        .nav-item.active {
            color: #4317D1;
        }
        .nav-item.logout {
            margin-left: auto;
            margin-right: 0;
        }

article{
    padding: 0 10px;
    max-width: 1024px;
    margin: auto;
}

/* Input default style */
.range-container {
    overflow: auto;
}
.slider {
    float: right;
    width: calc(100% - 86px);
    margin-top: 16px;
    cursor: pointer;
}
input[type=number].slider-value {
    float: left;
    box-sizing: border-box;
    width: 70px;
    margin-top: 0;
    border: 1px solid #c0c0c0;
    padding: 10px 5px 10px 16px;
    font-size: 16px;
}
label,
.static-label {
    display: block;
    margin-top: 24px;
    margin-bottom: 7px; 
    font-size: 14px;
    color: #707070;
}
input[type=number] {
    -moz-appearance: textfield;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
input[type=text],
input[type=email],
input[type=number],
input[type=password],
select {
    box-sizing: border-box;
    width: 100%;
    padding: 10px 16px;
    border: 1px solid #c0c0c0;
    background: #FFF;
    font-size: 16px;
    font-family: 'Inter', sans-serif;
    color: #0e0e0e;
}
input.invalid {
    background: #FBCDD5;
}

.submit-btn {
    display: inline-block;
	padding: 15px 37px;
    background-color: #4317d1;
	-webkit-border-radius: 37px;
	   -moz-border-radius: 37px;
			border-radius: 37px;
    font-size: 16px;
	color: #FFF;
	text-decoration: none;
	text-align: center;
	border: none;
    user-select: none;
    white-space: nowrap;
    transition: background .2s, color .2s;
}
.submit-btn.white {
    background: #FFF;
    color: #171819;
}
.submit-btn:focus,
.submit-btn:hover {
	background-color: #795eff;
    color: #FFF;
    outline: none;
	cursor: pointer;
}
.submit-btn.white:focus,
.submit-btn.white:hover {
    background-color: #171819;
    border: 1px solid #FFF;
    padding: 14px 36px;
}

.radioSet p{
	-webkit-user-select: none;
	   -moz-user-select: none;
		-ms-user-select: none;
			user-select: none;
}
.checkbox-container {
    display: block;
    position: relative;
    padding-left: 40px;
    margin-bottom: 12px;
    cursor: pointer;
    line-height: 30px;
    text-align: left;
    color: #0e0e0e;
    font-size: 14px;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}
    .checkbox-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }
    .checkbox-container .checkmark {
        position: absolute;
            top: 0;
            left: 0;

        box-sizing: border-box;
        width: 28px;
        height: 28px;
        padding: 8px 7px;
        border-radius: 3px;
        border: 1px solid #c0c0c0;
        background: #FFF;
    }
    .checkbox-container:hover input ~ .checkmark {
        box-shadow: inset 0 0 3px #888;
    }
    .checkbox-container input:checked ~ .checkmark {
        background: url(../img/icons/checkbox.svg) no-repeat center center;
    }
    .checkbox-container input:focus ~ .checkmark {
        border: 2px solid #000;
    }
    /*
    .checkbox-container .checkmark:after {
        content: "";
        position: absolute;
        display: none;
    }
    .checkbox-container input:checked ~ .checkmark:after {
        display: block;
    }
    .checkbox-container .checkmark:after {
        left: 4px;
        width: 4px;
        height: 9px;
        border: solid white;
        border-width: 0 3px 3px 0;
        -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
                transform: rotate(45deg);
    }
    */
    
.error-style {
    font-size: 13px;
    line-height: 2;
    padding: 0 13px;
    color: #de3030;
    background: #fff1f1;
}
.success-style {
    font-size: 13px;
    line-height: 2;
    padding: 0 13px;
    color: #4317D1;
    background: #f4f2fd;
}
/* END - Inputs */

/* Overlays */
.overlay {
	display: none;
	position: fixed;
		top: 0;
		left: 0;
		z-index: 9999;
	width: 100%;
	height: 100%;
	background: rgba(168,166,217,.5);
}
    .overlay-settings-inner, .inner-overlay, .overlay-show-questions-inner {
        position: relative;
        max-height: calc(100% - 140px);
        overflow-y: auto;
		margin: 100px auto 0 auto;
		box-sizing: border-box;
		max-width: 440px;
		padding: 26px;
		background: #FFF;
		border-radius: 10px;
		-webkit-box-shadow: 0 0 40px 5px rgba(0,0,0,.2);
		   -moz-box-shadow: 0 0 40px 5px rgba(0,0,0,.2);
                box-shadow: 0 0 40px 5px rgba(0,0,0,.2);
    }
        #unsubscribe-msg {
            display: none;
        }
        .sub-btn {
            display: inline-block;
            box-sizing: border-box;
            border: solid 1px #4317d1;
            padding: 15px 38px;
            margin: 20px 0;
            line-height: 20px;
            font-size: 16px;
            color: #4317d1;
            background-color: #FFF;
            border-radius: 25px;
            user-select: none;
        }
            .sub-btn:hover {
                cursor: pointer;
                border-color: #795eff;
                color: #795eff;
            }
		.close-overlay {
			position: absolute;
				top: 12px;
				right: 12px;
				z-index: 3;
			width: 16px;
			height: 16px;
		}
			.close-overlay:hover {
				cursor: pointer;
			}
			.close-overlay::before,
			.close-overlay::after {
				position: absolute;
					top: 7px;
					left: -2px;
				content: '';
				width: 20px;
				height: 2px;
				background-color: #d2d2d2;
			}
			.close-overlay:hover::before,
			.close-overlay:hover::after{
				background-color: #393939;
			}

			.close-overlay::before {
				transform: rotate(45deg);
			}

			.close-overlay::after {
				transform: rotate(-45deg);
			}
/* END - Overlays */

/* Spinner */
.lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-ellipsis.hidden {
    display: none;
}
.lds-ellipsis div {
    position: absolute;
    top: 33px;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: #4317D1;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
    left: 8px;
    animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}
@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}
@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(24px, 0);
    }
}
/* END - Spinner */